//*****************************************************************
//  
//  Copyright, IDAutomation.com, Inc. 2000-2004. All rights reserved.
//  
//  http://www.IDAutomation.com/
//  
//  NOTICE:
//  You may incorporate our Source Code in your application
//  only if you own a valid Java Barcode Package License
//  from IDAutomation.com, Inc. and the copyright notices 
//  are not removed from the source code.
//  
//
//*****************************************************************

import java.io.*;
import com.idautomation.qrcode.*;
import com.idautomation.qrcode.encoder.*;

class CreateJPEG

{
    public static void main ( String [] args )
    {

      //Get the data to encode in barcode
      String message = null;
      BufferedReader in = new BufferedReader( new InputStreamReader( System.in ), 1 );
      System.out.print( "Enter data to encode: " );

      try
      {  message = in.readLine();
         if ( message == null )
            return;  // All done on EOF, so just exit.
      }
      catch ( IOException e )
      {  System.out.println( "\n\n*** Exception caught: " + e );
         return;
      }

      QRCode bc=new QRCode();

      // set the data to encode
      bc.code=message;
      bc.backColor=java.awt.Color.white;

      // create the file as the name of the message
      barCodeEncoder bce = new barCodeEncoder(bc, "GIF", "QRTest.gif");
      
      System.exit(0);
    }


}
